<?php
/*
'**************************************************************************************************
' 软件名称: 盘锦DJ舞曲网CMS Content Management PjRen.Net
' 版本编号: Version 2.5
' 盘锦舞曲: http://www.pj57.com
' 官方网站: http://www.pjren.net
' 小说网站: http://www.hx39.com
' 0427DJ网: http://www.0427dj.net
' 官方论坛: http://www.tianjiazhen.com
' 版权所有: 盘锦舞曲开发团队    盘锦人(QQ:814006710)
' 郑重声明:
'    1、任何个人或组织不得在未经授权的情况下删除、修改、拷贝本软件及其他副本上一切关于版权的信息；
'    2、盘锦网络事业部保留此软件的法律追究权利
'**************************************************************************************************
*/
include "../../include/conn.php";
include "../../include/function.php";
include "../admin_version.php";
include "../admin_loginstate.php";
@set_time_limit(0);
echo("<div style=' width:100%; background: #F9FBFD; border-top:4px solid #DEEFFA; border-bottom:1px solid #DEEFFA;color:#008EBD; font-size:12px; height:30px; line-height:30px;font-weight:bold; margin:0 auto;'>&nbsp;正在移除无效图片链接</font></div>");
$action=SafeRequest("action","get");
if(!IsNum($action)){
	$action=1;
	}
	
if($action==1){
	checkimg($action,S_Vimgfolder,"s_video","舞曲");
	die("<br/><font style=font-size:13px;>&nbsp;无效舞曲图片删除完毕!暂停".S_StopTime."秒后检测无效文章图片．．．</font><br/><script language='javascript'>setTimeout('ReadGo();',".(S_StopTime*1000).");function ReadGo(){location.href='?action=2';}</script>");
	}
else{
	checkimg($action,S_Aimgfolder,"s_article","文章");
	die("<br/><font style=font-size:13px;>&nbsp;恭喜你！所有无效图片删除完毕．．．</font><br/>");
	}	
	
function checkimg($action,$folder,$table,$value){
	global $db;
	$d="../../images/".$folder;
	if (is_dir($d)) {
	  	$dh=opendir($d);//打开目录
  		//列出目录中的所有文件并去掉 . 和 ..
 		 while (false !== ( $file = readdir ($dh))) {
   			if($file!="." && $file!="..") { 
      			$fullpath=$d."/".$file;
      			if(!is_dir($fullpath)) {       		 	
					$sql="select S_Pic from `".$table."` where S_Pic='$file'";
					$S_ID=$db->getOne($sql);
					if(!$S_ID){
						unlink($fullpath);//删除无效图片
						echo "<font style=font-size:12px;><font color=red>".$file."</font>".$value."无效图片已经删除...</font><br/>";
						}
					
     				 } 
				}
   		 	}
   		 closedir($dh);
		}
	}

?>